> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-leet-slack-mcp-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Owner

> DeleteUserOwner deletes a user ownership source for an app user.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v2/apps/{app_id}/users/{user_id}/owners/users/{role_slug}/{user_ref_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/users/{user_id}/owners/users/{role_slug}/{user_ref_id}:
    delete:
      tags:
        - App User Owner V2
      summary: Delete User Owner
      description: DeleteUserOwner deletes a user ownership source for an app user.
      operationId: c1.api.app.v2.AppUserOwnersV2.DeleteUserOwner
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: user_id
          required: true
          schema:
            description: The userId field.
            type: string
        - in: path
          name: role_slug
          required: true
          schema:
            description: The roleSlug field.
            type: string
        - in: path
          name: user_ref_id
          required: true
          schema:
            description: The id of the user.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.DeleteAppUserUserOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v2.DeleteAppUserUserOwnerResponse
          description: >-
            DeleteAppUserUserOwnerResponse is the empty response for deleting a
            user ownership source on an app user.
      x-codeSamples:
        - lang: go
          label: DeleteUserOwner
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppUserOwnersV2.DeleteUserOwner(ctx, operations.C1APIAppV2AppUserOwnersV2DeleteUserOwnerRequest{\n        AppID: \"<id>\",\n        RoleSlug: \"<value>\",\n        UserID: \"<id>\",\n        UserRefID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeleteAppUserUserOwnerResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.app.v2.DeleteAppUserUserOwnerRequestInput:
      description: >-
        DeleteAppUserUserOwnerRequest is the request for deleting a user
        ownership source on an app user.
      properties:
        userRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserRef'
            - type: 'null'
      title: Delete App User User Owner Request
      type: object
      x-speakeasy-name-override: DeleteAppUserUserOwnerRequest
    c1.api.app.v2.DeleteAppUserUserOwnerResponse:
      description: >-
        DeleteAppUserUserOwnerResponse is the empty response for deleting a user
        ownership source on an app user.
      title: Delete App User User Owner Response
      type: object
      x-speakeasy-name-override: DeleteAppUserUserOwnerResponse
    c1.api.user.v1.UserRef:
      description: A reference to a user.
      properties:
        id:
          description: The id of the user.
          type: string
      title: User Ref
      type: object
      x-speakeasy-name-override: UserRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````